using System.Runtime.Serialization;


namespace Actimizer.LRM.Contracts
{
    public enum LeadUpdateResultCode
    {
        LeadNotFound = 1,
        LeadNotAccessible = 2,
        LeadIsLocked = 3,
        InvalidChange = 4,
        UserNotFound = 5,
        InvalidUniqueId = 6,
        FieldInvalid = 7,
        FieldRequired = 8,
        InvalidToken = 9,
        NoFilterMatch = 10,
        OtherError = 255
    }



    [DataContract]
    public class LeadUpdateResult : BaseResult
    {
        [DataMember( EmitDefaultValue = false )]
        public LeadUpdateResultCode? ResultCode { get; set; }

        [DataMember( EmitDefaultValue = false )]
        public string ResultData { get; set; }
    }
}
