using System;
using System.ComponentModel;
using System.Runtime.Serialization;

namespace Actimizer.LRM.Contracts
{
    [DataContract]
    public class Pause
    {
        [Description("User who was paused")]
        [DataMember(IsRequired = false)]
        public User User { get; set; }

        [Description("Pause reason")]
        [DataMember(IsRequired = true)]
        public string PauseReason { get; set; }

        [Description("Pause start time")]
        [DataMember(IsRequired = true)]
        public DateTime StartTime { get; set; }

        [Description("Pause duration")]
        [DataMember(IsRequired =true)]
        public TimeSpan Duration { get; set; }
    }
}
