using System.Runtime.Serialization;

namespace Actimizer.LRM.Contracts
{
    [DataContract]
    public class BaseResult
    {
        public BaseResult() { }

        public BaseResult( bool success, string message = null )
        {
            Success = success;
            Message = message;
        }

        [DataMember]
        public bool Success { get; set; }

        [DataMember( EmitDefaultValue = false )]
        public string Message { get; set; }
    }


    [DataContract]
    public class NewEntityResult : BaseResult {
        [DataMember( EmitDefaultValue = false )]
        public string UniqueId { get; set; }
    }
}
