using System;
using System.Collections.Generic;

namespace Actimizer.LRM.Contracts {

    public class EntryGroupDataSet {
        public string UniqueId { get; private set; }
        public string EntryGroupDataConfigUniqueId { get; private set; }

        public string Description { get; set; }
        public DateTime ValidFrom { get; set; }
        public DateTime? ValidTo { get; set; }
        public bool IsActive { get; set; }
        public byte DataFormatVersion { get; set; }

        public IReadOnlyList<string> Headers { get; set; }
        public IReadOnlyList<IDictionary<string, string>> DataByKeyInGroup { get; set; }
    }
}
