﻿using System.Runtime.Serialization;


namespace Actimizer.LRM.Contracts
{
    public enum RemoveLeadsResultCode
    {
        CampaignNotFound,
        CampaignNotUnique,
        CampaignNotAccessible,
		LeadPoolNotFound,
		LeadPoolNotUnique,
        LeadPoolIsActive,
        OtherError
    }



    [DataContract]
    public class RemoveLeadsResult : BaseResult
    {
        [DataMember( EmitDefaultValue = false )]
		public RemoveLeadsResultCode? ResultCode { get; set; }

		[DataMember( EmitDefaultValue = false )]
        public int? LeadsRemovedCount { get; set; }
	}
}
